does this mouse work with tiger software? (the 10.4.11 version)

does this mouse work with tiger software? (the 10.4.11 version)

Back To Product

Follow this Question

27 Answers from the Community

  • According to Apple, Mac OS X v10.5.8 or later with Wireless Mouse Software Update 1.0 is needed.

    Was this useful? Answer 1

    1 of 10 people found this useful

  • No leopard or higher

    Was this useful? Answer 2

    2 of 13 people found this useful

  • No, according to the system requirements the mouse only works with Mac OS X v10.5.8 or later with Wireless Mouse Software Update 1.0

    Was this useful? Answer 3

    1 of 12 people found this useful

  • no, your computer needs to be running an up-to-date leopard

    Was this useful? Answer 4

    0 of 11 people found this useful

  • No the Magic Mouse does not work with Mac OS X Tiger. It will only work on Mac OS X Leopard or newer. (You must also have a Bluetooth enabled Mac)

    Was this useful? Answer 5

    0 of 11 people found this useful

  • Sadly, no. It requires Mac OS X v10.5.8 or later with Wireless Mouse Software Update 1.0.

    Was this useful? Answer 6

    0 of 11 people found this useful

  • Nope. You can see under the system requirements part of the product description it says "Mac OS X v10.5.8 or later with Wireless Mouse Software Update 1.0"

    Great excuse to update your OS! Once you go Leopard (or Snow Leopard), you will never go back. The features are fantastic. Definitely worth it.

    Was this useful? Answer 7

    0 of 14 people found this useful

Related Questions